# Class LevelForOverride

#### Hierarchy

- LevelBase
  - LevelForOverride

- Defined in src/file/numbering/level.ts:188

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new LevelForOverride(__namedParameters: ILevelsOptions): LevelForOverride

- #### Parameters

  - ##### __namedParameters: ILevelsOptions

  #### Returns LevelForOverride

  Inherited from LevelBase.constructor

  - Defined in src/file/numbering/level.ts:140

## Methods

### addChildElement

- addChildElement(child: string | XmlComponent): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from LevelBase.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:34

### prepForXml

- prepForXml(context: IContext): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from LevelBase.prepForXml

  - Defined in src/file/xml-components/xml-component.ts:15

Generated using TypeDoc